Ir al contenido

Recuperar el listado de horarios de los empleados

GET
/api/horarios/
id
integer
id__in
Array<integer>
user
integer
user__in
Array<integer>
user__isnull

Un horario puede tener usuario nulo (el horario del centro) o centro nulo (el horario del empleado).

boolean
centro
integer
centro__in
Array<integer>
centro__isnull

Un horario puede tener usuario nulo (el horario del centro) o centro nulo (el horario del empleado).

boolean
week

Incluir el 0 inicial, 01 representa la primera semana del año.

string
week__in
Array<string>
week__isnull

El horario por defecto tiene week y year nulos.

boolean
year

Formato XXXX, por ejemplo 2025.

string
year__in
Array<string>
year__isnull

El horario por defecto tiene week y year nulos.

boolean
limit
integer
offset
integer

Listado de los horarios solicitados

object
count
integer
next
One of:
string format: uri
previous
One of:
string format: uri
results
Array
<= 50 items
object
id

Solo lectura

integer
created

Solo lectura

string format: date-time
updated

Solo lectura

string format: date-time
user
integer
centro
integer
week

Número de la semana del año al que se aplica el horario, p. ej. 01 es la primera semana. Nulo en el horario por defecto.

string
year

Formato XXXX p.ej 2025. Nulo en el horario por defecto.

string
lunes
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
martes
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
miercoles
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
jueves
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
viernes
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
sabado
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
domingo
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time

No se ha proporcionado la clave de acceso en la header X-Koibox-Key

WWW-Authenticate
string
default: X-Koibox-Key

Indica la cabecera requerida para la autenticación

No se ha proporcionado una clave de acceso válida